Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » SWTBot » Require-Bundle org.hamcrest
Require-Bundle org.hamcrest [message #1070153] Wed, 17 July 2013 06:45 Go to next message
Mark Rösler is currently offline Mark Rösler
Messages: 4
Registered: January 2013
Junior Member
(Testet with WinXP 32bit, java 7 32bit and Win7 64bit; java 7 64bit)
Hi,
I checked out swtbot from
ssh://<username>@git.eclipse.org:29418/swtbot/org.eclipse.swtbot
and set the keplar Target Platfrom.

(by the way:
The Keplar and Juno Target Platform has Enviroment settings set: OS linux, Windowing System gtk, Architecture x86_64 and Local en_US. Maybe it is better to leave it blank (Indigo Enviroment settings are blank).

"Specify the target environment. If left blank, the default environment variables from the host (running) platform will be used.")

I got the error
Description Resource Path Location Type
Bundle 'org.hamcrest' cannot be resolved MANIFEST.MF /org.eclipse.gef.examples.logic.test/META-INF line 17 Plug-in Problem
Bundle 'org.hamcrest' cannot be resolved MANIFEST.MF /org.rcpmail.test/META-INF line 11 Plug-in Problem

I changed org.hamcrest to org.hamcrest.core in the MANIFEST.MF fiels and it work but than I realized the org.hamcrest.core bundle is not available through the ui (MANIFEST Editor -> dependencies tab -> required Bundles -> add) only org.hamcrest.core.source.

does anyone know what's going on here?
thx
Re: Require-Bundle org.hamcrest [message #1070215 is a reply to message #1070153] Wed, 17 July 2013 09:15 Go to previous messageGo to next message
Mark Rösler is currently offline Mark Rösler
Messages: 4
Registered: January 2013
Junior Member
(by the way#2: the kepler target platform project has the name juno)
Re: Require-Bundle org.hamcrest [message #1070220 is a reply to message #1070215] Wed, 17 July 2013 09:24 Go to previous messageGo to next message
Mark Rösler is currently offline Mark Rösler
Messages: 4
Registered: January 2013
Junior Member
(by the way#3: there are two target platform projects and in one is nothing https://git.eclipse.org/c/swtbot/org.eclipse.swtbot.git/tree/target-platforms)
Re: Require-Bundle org.hamcrest [message #1070279 is a reply to message #1070153] Wed, 17 July 2013 12:08 Go to previous message
Mickael Istria is currently offline Mickael Istria
Messages: 735
Registered: July 2009
Location: Grenoble, France
Senior Member
Hi,

Thanks for all these reports.
All of them are actually minor bugs, and your welcome to open a bugzilla
issue and a Gerrit contribution to polish these bundles and target platforms
* empty target-platforms/ folder can be removed
* compile issues happen on projects that are currently not built as part
of SWTBot Tycho build. It might be helpful to fix them
* Environment specification in TP could be removed to have a
platform-agnostic TP
* kepler.target could change label to juno.
http://wiki.eclipse.org/SWTBot/Contributing


Cheers,
--
Mickael Istria
JBoss, by Red Hat
My blog: http://mickaelistria.wordpress.com
My Tweets: http://twitter.com/mickaelistria
Previous Topic:Restarting Eclipse under test
Next Topic:Accessing views using SWTBot
Goto Forum:
  


Current Time: Mon Jul 28 10:38:18 EDT 2014

Powered by FUDForum. Page generated in 0.02065 seconds